org.eclipse.aether.internal.impl

## Class DefaultRemoteRepositoryManager

- java.lang.Object
- - org.eclipse.aether.internal.impl.DefaultRemoteRepositoryManager

- All Implemented Interfaces:
    RemoteRepositoryManager, Service

      @Named
      @Component(role=RemoteRepositoryManager.class)
      public class DefaultRemoteRepositoryManager
      extends Object
      implements RemoteRepositoryManager, Service

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRemoteRepositoryManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<RemoteRepository>` | `aggregateRepositories(RepositorySystemSession session, List<RemoteRepository> dominantRepositories, List<RemoteRepository> recessiveRepositories, boolean recessiveIsRaw)`
    `RepositoryPolicy` | `getPolicy(RepositorySystemSession session, RemoteRepository repository, boolean releases, boolean snapshots)`
    `void` | `initService(ServiceLocator locator)` Provides the opportunity to initialize this service and to acquire other services for its operation from the locator.
    `DefaultRemoteRepositoryManager` | `setChecksumPolicyProvider(ChecksumPolicyProvider checksumPolicyProvider)`
    `DefaultRemoteRepositoryManager` | `setLoggerFactory(LoggerFactory loggerFactory)`
    `DefaultRemoteRepositoryManager` | `setUpdatePolicyAnalyzer(UpdatePolicyAnalyzer updatePolicyAnalyzer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRemoteRepositoryManager

          public DefaultRemoteRepositoryManager()

  - ### Method Detail

    - #### initService

          public void initService(ServiceLocator locator)

      Description copied from interface: `Service`
      Provides the opportunity to initialize this service and to acquire other services for its operation from the locator. A service must not save the reference to the provided service locator.
      Specified by:
        `initService` in interface `Service`
      Parameters:
        `locator` - The service locator, must not be `null`.

    - #### setLoggerFactory

          public DefaultRemoteRepositoryManager setLoggerFactory(LoggerFactory loggerFactory)

    - #### setUpdatePolicyAnalyzer

          public DefaultRemoteRepositoryManager setUpdatePolicyAnalyzer(UpdatePolicyAnalyzer updatePolicyAnalyzer)

    - #### setChecksumPolicyProvider

          public DefaultRemoteRepositoryManager setChecksumPolicyProvider(ChecksumPolicyProvider checksumPolicyProvider)

    - #### aggregateRepositories

          public List<RemoteRepository> aggregateRepositories(RepositorySystemSession session,
                                                     List<RemoteRepository> dominantRepositories,
                                                     List<RemoteRepository> recessiveRepositories,
                                                     boolean recessiveIsRaw)

      Specified by:
        `aggregateRepositories` in interface `RemoteRepositoryManager`

    - #### getPolicy

          public RepositoryPolicy getPolicy(RepositorySystemSession session,
                                   RemoteRepository repository,
                                   boolean releases,
                                   boolean snapshots)

      Specified by:
        `getPolicy` in interface `RemoteRepositoryManager`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.